function [] = set_path_2(rootpath)
warning('off');
addpath(rootpath);
addpath(strcat(rootpath,'/kde2d/'));
addpath(strcat(rootpath,'/KCI-test/'));
addpath(strcat(rootpath,'/KCI-test/algorithms/'));
addpath(strcat(rootpath,'/KCI-test/CI_PERM/'));
addpath(strcat(rootpath,'/KCI-test/exp/'));
addpath(strcat(rootpath,'/KCI-test/gpml-matlab/gpml/'));
addpath(strcat(rootpath,'/bnt/BNT/general/'));
addpath(strcat(rootpath,'/bnt/BNT/inference/'));
addpath(strcat(rootpath,'/bnt/BNT/learning'));  
addpath(strcat(rootpath,'/bnt/BNT/potentials'));
addpath(strcat(rootpath,'/bnt/KPMstats/CVS/'));
addpath(strcat(rootpath,'/bnt/graph/'));
addpath(strcat(rootpath,'/bnt/GraphViz/'));
addpath(strcat(rootpath,'/bnt/'));
addpath(strcat(rootpath,'/bnt/KPMstats/CVS/'));
addpath(strcat(rootpath,'/bnt/KPMstats/'));
addpath(strcat(rootpath,'/bnt/KPMtools/'));
addpath(strcat(rootpath,'/DirectEffects'));
addpath(strcat(rootpath,'/Backdoorcriterioncopula0d'));
addpath(strcat(rootpath,'/Backdoorcriterioncopula1d'));
addpath(strcat(rootpath,'/Backdoorcriterioncopula2d'));
addpath(strcat(rootpath,'/Frontdoorcriterioncopula1d'));